#ifndef SHOWPLAYER_H
#define SHOWPLAYER_H

#include <vector>
#include <string>

#include <QDialog>
#include <QFileDialog>

#include "defines.h"
#include "cuetracklistwidget.h"
#include "settings.h"
#include "ui_showplayer.h"

namespace Ui {
    class ShowPlayer;
}

class ShowPlayer : public QDialog
{
    Q_OBJECT

public:
    explicit ShowPlayer(QWidget *parent = nullptr);
    ~ShowPlayer();

public slots:
    void cueTrackAtEnd(int layer);

private:
    Ui::ShowPlayer *ui;
    Status currentStatus = Status::Iddle;
    size_t filesLoaded = 0;
    int layersUsed[MAX_LAYERS];
    int lastIndex = 0;

private slots:
    void updateTrackStateInEngine(CueTrack *track);
    void onAddTrack();
    void go();
    void changeSelectedIndex(int i);
	void loadCueTrackList();
	void saveCueTrackList();

signals:
    void uiPlaybackChanged(int layer, Status s);
    void uiSliderChanged(int layer, Slider s, int vol);
    void uiLoadMedia(int layer, QString s);
};

#endif // SHOWPLAYER_H
